<?php
/** last updated at 13-DEC-2017 */

require 'rumbletalk-sdk.php';

use RumbleTalk\RumbleTalkSDK;

#############################################################################################
# App credentials; can be acquired directly from RumbleTalk support: support@rumbletalk.com #
#############################################################################################
$appKey = 'YOUR_TOKEN_KEY';
$appSecret = 'YOUR_TOKEN_SECRET';

# create the RumbleTalk SDK instance using the key and secret
$rumbletalk = new RumbleTalkSDK($appKey, $appSecret);

# fetch (and set) the access token for the account (tokens lasts for 30 days)
$accessToken = $rumbletalk->fetchAccessToken($expiration);

/****************************************************************
 * holds the token expiration date.                             *
 * tokens are valid for 30 days.                                *
 * it is recommended to reuse the token until expired           *
 * because there's a limit on token creation requests per month *
 ****************************************************************/
$expiration;


#############################
# Examples of chat requests #
#############################

# create a chat
//$data = ['name' => 'Chat #1'];
//$result = $rumbletalk->post('chats', $data);

# get all of the account's chats
$result = $rumbletalk->get('chats');

# get a specific chat
//$chatId = 1;
//$result = $rumbletalk->get("chats/{$chatId}");

# update a chat
//$chatId = 1;
//$data = ['name' => 'New example chat name'];
//$result = $rumbletalk->put("chats/{$chatId}", $data);

# delete a chat
//$chatId = 1;
//$result = $rumbletalk->delete("chats/{$chatId}");


###################################
# Examples of chat users requests #
###################################

# create a chat user
//$data = [
//    'username' => 'John Smith',
//    'password' => '1234',
//    'level' => RumbleTalkSDK::LEVEL_GROUP_ADMIN
//];
//$result = $rumbletalk->post('users', $data);

# get all of the chats users
//$result = $rumbletalk->get('users');

# get a specific chat user
//$userIdentifier = 'the user name or the user id';
//$result = $rumbletalk->get("users/{$userIdentifier}");

# update a chat user
//$userIdentifier = 'the user name or the user id';
//$data = ['level' => RumbleTalkSDK::LEVEL_USER];
//$result = $rumbletalk->put("users/{$userIdentifier}", $data);

# delete a chat user
//$userIdentifier = 'the user name or the user id';
//$result = $rumbletalk->delete("users/{$userIdentifier}");


#############################################
# Examples of Banned IPs of a chat requests #
#############################################

# ban an IP address in a chat
//$chatId = 1;
//$data = ['ip' => '1.1.1.1'];
//$result = $rumbletalk->post("chats/{$chatId}/banned-ips", $data);

# get all of the IP address of a chat
//$chatId = 1;
//$result = $rumbletalk->get("chats/{$chatId}/banned-ips");

# delete an IP address of a chat
//$chatId = 1;
//$bannedIp = '1.1.1.1';
//$result = $rumbletalk->delete("chats/{$chatId}/banned-ips/{$bannedIp}");


###########################################
# Examples of Messages of a chat requests #
###########################################

# send a system message
//$chatId = 1;
//$data = ['text' => 'www.google.com'];
//$result = $rumbletalk->post("chats/{$chatId}/messages", $data);

# get all of the messages of a chat
//$chatId = 1;
//$result = $rumbletalk->get("chats/{$chatId}/messages");

# delete all of the chat's messages
//$chatId = 1;
//$result = $rumbletalk->delete("chats/{$chatId}/messages");

# delete a message of a chat
//$chatId = 1;
//$messageId = 1;
//$result = $rumbletalk->delete("chats/{$chatId}/messages/{$messageId}");


#########################################
# Examples of design of a chat requests #
#########################################

# get a chat's design
//$chatId = 1;
//$result = $rumbletalk->get("chats/{$chatId}/design");

# update a chat's design
//$chatId = 1;
//$data = ['dlgBg' => 'aaaaaa'];
//$result = $rumbletalk->put("chats/{$chatId}/design", $data);

# change the chat's skin
/** NOTE: changing the chat's skin will RESET the chat's design variables */
//$chatId = 1;
//$data = ['skinId' => 40000];
//$result = $rumbletalk->put("chats/{$chatId}/design/skin", $data);


######################################
# Examples of global social requests #
######################################

# get social settings
//$result = $rumbletalk->get('social');

# update a chat's design
//$data = [
//    'social' => true,
//    'twitterName' => 'nimlevy'
//];
//$result = $rumbletalk->put('social', $data);


echo '<pre>';
print_r($result);
echo '</pre>';